{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "Start Backend",
      "type": "shell",
      "command": "cd ${workspaceFolder}/table_line_generator/backend && uvicorn main:app --reload --host 0.0.0.0 --port 8000",
      "isBackground": true,
      "problemMatcher": {
        "pattern": {
          "regexp": "^.*$",
          "file": 1,
          "location": 2,
          "message": 3
        },
        "background": {
          "activeOnStart": true,
          "beginsPattern": "^.*Uvicorn running.*",
          "endsPattern": "^.*Application startup complete.*"
        }
      }
    },
    {
      "label": "Start Frontend",
      "type": "shell",
      "command": "cd ${workspaceFolder}/table_line_generator/frontend && npm run dev",
      "isBackground": true,
      "problemMatcher": {
        "pattern": {
          "regexp": "^.*$"
        },
        "background": {
          "activeOnStart": true,
          "beginsPattern": "^.*VITE.*",
          "endsPattern": "^.*Local:.*"
        }
      }
    },
    {
      "label": "table_line_generator_BothServers",
      "dependsOn": [
        "Start Backend",
        "Start Frontend"
      ],
      "problemMatcher": []
    }
  ]
}